Bug 523908 - Brasero Tries to Copy All Data in .gvfs Directory, Including All Data on Other Servers
Summary: Brasero Tries to Copy All Data in .gvfs Directory, Including All Data on Othe...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: brasero
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 07:05 UTC by David Le Sage
Modified: 2010-06-28 14:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:42:22 UTC


Attachments (Terms of Use)

Description David Le Sage 2009-09-17 07:05:32 UTC
Description of problem:
I was trying to back up my home directory onto a DVD and, adding files, Brasero suddenly started pulling down hundreds of GBs of data.  Even with all files and configuration settings, I knew I had less than one GB on my machine.  

Upon investigation, I discovered that it was trying to copy all of the data on a remote server I had mapped.  The link to this server was contained in my .gvfs directory.

This occurs even if you instruct Brasero not to follow symlinks.


Clearly, by default, Brasero should not try to copy the entire contents of a remote server onto a DVD.  Therefore, this should be an option only and this ability should be switched OFF by default. 


Version-Release number of selected component (if applicable):
2.26.1

How reproducible:
Every time.

Steps to Reproduce:
1. Go to Places -> Connect to Server.  
2. Map a remote server to your computer via ssh and bookmark it. 
3. Launch Brasero.
4. Attempt to back up your home directory, including your hidden configuration files.

  
Actual results:
The .gvfs directory will be added to the list to be built.  Brasero will then try to pull down the entire remote server and add this to the image as well.

Expected results:
Bookmarked links to remote SSH servers should be ignored.  There should be a simple way of burning one's home directory and all hidden configuration files contained therein to disk without the software blindly trying to follow paths and pull down 100s of Gbs.  Backing up a Home directory and hidden files to DVD would be a common task for many of our users.

Additional info:

Comment 1 David Le Sage 2009-09-17 07:15:05 UTC
Just to clarify, I presume this is because GVFS treats remote servers as if they were directories on the local machine.  Given that this causes timeout errors in Brasero as it tries to create images for burning that exceed hundreds of GBs there definitely needs to be a way for it to exclude these, perhaps something as simple as an extra option in the tick box that currently asks about hidden files and symlinks to purposely exclude remote fileshares mapped under .gvfs.

Comment 2 Bug Zapper 2010-04-28 10:26:00 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:42:22 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.